# ===================================
#  Field Definitions
# ===================================

cssClass: row

fields:

    title:
        label: indikator.news::lang.form.title
        required: true
        attributes:
           autofocus: ''
        span: storm
        cssClass: col-sm-12 col-lg-6

    slug:
        label: indikator.news::lang.form.slug
        required: true
        preset: title
        span: storm
        cssClass: col-sm-12 col-lg-6

    category:
        label: indikator.news::lang.form.category
        type: relation
        span: storm
        cssClass: col-sm-12 col-lg-6

    tags:
        label: indikator.news::lang.form.tags
        type: taglist
        span: storm
        cssClass: col-sm-12 col-lg-6

tabs:
    fields:

        introductory:
            tab: indikator.news::lang.form.introductory
            type: richeditor
            size: large

        content:
            tab: indikator.news::lang.form.content
            type: richeditor
            size: giant

        enable_newsletter_content:
            tab: indikator.news::lang.form.newsletter_content_tab
            label: indikator.news::lang.form.enable_newsletter_content
            comment: indikator.news::lang.form.enable_newsletter_content_description
            type: switch
            default: false
            context: update

        newsletter_content:
            tab: indikator.news::lang.form.newsletter_content_tab
            label: indikator.news::lang.form.newsletter_content
            type: richeditor
            size: giant
            context: update

        seo_desc:
            tab: indikator.news::lang.form.seo_tab
            label: indikator.news::lang.form.seo_desc
            type: textarea
            size: large
            span: right

        seo_title:
            tab: indikator.news::lang.form.seo_tab
            label: indikator.news::lang.form.seo_title
            span: left

        seo_keywords:
            tab: indikator.news::lang.form.seo_tab
            label: indikator.news::lang.form.seo_keywords
            span: left

        seo_image:
            tab: indikator.news::lang.form.seo_tab
            label: indikator.news::lang.form.seo_image
            type: mediafinder
            mode: file
            span: left

secondaryTabs:
    fields:

        postinfo:
            type: postinfo
            context: update

        image:
            label: indikator.news::lang.form.image
            type: mediafinder
            mode: image

        published_at:
            label: indikator.news::lang.form.published_at
            type: datepicker
            mode: datetime

        last_send_at:
            label: indikator.news::lang.form.last_send_at
            type: datepicker
            readOnly: true
            mode: datetime
            disabled: disabeld

        user:
            label: indikator.news::lang.form.author
            type: dropdown

        status:
            label: indikator.news::lang.form.status
            required: true
            type: radio
            options:
                1: indikator.news::lang.form.status_published
                2: indikator.news::lang.form.status_hide
                3: indikator.news::lang.form.status_draft
            default: 3
            span: auto

        featured:
            label: indikator.news::lang.form.featured
            required: true
            type: radio
            options:
                1: indikator.news::lang.form.yes
                2: indikator.news::lang.form.no
            default: 2
            span: auto
